Bug 781191 - (SOA-3693) SOA-P 5 ESB Deployment options prompts are asking for wrong information
SOA-P 5 ESB Deployment options prompts are asking for wrong information
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Monitoring and Management, JON (Show other bugs)
5.2.0 GA
Unspecified Unspecified
high Severity high
: ER3
: 5.3.0 GA
Assigned To: Kevin Conner
Martin Vecera
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks: 767981
  Show dependency treegraph
 
Reported: 2012-01-09 16:55 EST by Larry O'Leary
Modified: 2013-04-30 19:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a user tried to deploy an ESB archive via either the Admin Console or JON, they were presented with legacy SOA 4.x options that were no longer relevant and some needed options were missing. To fix this issue, new options for farm and exploded archives have been added. As a result, users can now deploy these via the consoles and the right information will be asked of them by the software.
Story Points: ---
Clone Of:
Environment:
JBoss SOA-P 5.2 admin-console
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3734 Major Closed SOA-P 5 ESB Deployment options prompts are asking for wrong information 2014-05-11 07:59:08 EDT
JBoss Issue Tracker SOA-3693 Major Closed SOA-P 5 ESB Deployment options prompts are asking for wrong information 2014-05-11 07:59:08 EDT

  None (edit)
Description Larry O'Leary 2012-01-09 16:55:52 EST
Steps to Reproduce: #. Start SOA5
#. From Admin Console (admin-console) expand and select localhost -> JBossAS Servers - JBoss SOA-P 5 (default) -> JBoss ESB -> Deployments
#. Click 'Add a new resource' button


project_key: SOA

When deploying a new ESB using admin-console or JBoss Operations Network, the ESB plug-in is asking for deployment options which are only valid for SOA 4. For example, Deployment Location is asking for a path but in SOA 5 ProfileService is used to deploy managed components meaning that a destination directory can not be selected but instead the user should be selecting whether to deploy farmed or not.
Comment 1 RH Bugzilla Integration 2012-01-09 16:56:56 EST
Bugzilla References: Added: https://bugzilla.redhat.com/show_bug.cgi?id=767981
Comment 2 RH Bugzilla Integration 2012-01-09 16:58:54 EST
Larry O'Leary <loleary@redhat.com> made a comment on [bug 767981|https://bugzilla.redhat.com/show_bug.cgi?id=767981]

Logged against downstream JBossESB SOA-P bug tracker as https://issues.jboss.org/browse/SOA-3693

The JBoss ESB plug-in is managed/maintained by the JBossESB project.
Comment 3 Larry O'Leary 2012-01-10 12:56:39 EST
Bugzilla References: Removed: https://bugzilla.redhat.com/show_bug.cgi?id=767981 Added: https://bugzilla.redhat.com/show_bug.cgi?id=767981
Comment 4 JBoss JIRA Server 2012-01-12 18:42:47 EST
RH Bugzilla Integration <no-reply@redhat.com> updated the status of jira SOA-3693 to Closed
Comment 5 Larry O'Leary 2012-05-11 18:00:03 EDT
What is the status of this? This was supposed to be in SOA 5.3 release. Has that happened. We need a tag for the updated ESB plug-in for inclusion in JBoss ON.
Comment 6 JBoss JIRA Server 2012-05-14 11:49:18 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3734

Added options for farm and exploded.     Tested farm option against SOA-P 5.2, seems to work fine.   The plugin had already been using profile service, so no changes needed there.

tcunning@localhost:jonplugin]$ svn commit
Sending        jonplugin/as5/src/main/java/org/jbosson/plugins/jbossesb/ESB5Component.java
Sending        jonplugin/as5/src/main/resources/META-INF/rhq-plugin.xml
Transmitting file data ..
Committed revision 38087.
Comment 7 JBoss JIRA Server 2012-05-14 11:49:27 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3734 to Resolved
Comment 8 JBoss JIRA Server 2012-05-14 11:49:32 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3734 to Closed
Comment 9 Pavel Kralik 2012-06-11 07:53:36 EDT
Verified for JON and admin console. JON 3.1.0.GA and SOA-P 5.3.0.ER3. The deployment has options: File path, Deploy Exploded (Yes/No) and Deploy Farmed (Yes/No).
Comment 10 David Le Sage 2012-06-12 20:20:11 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When a user tried to deploy an ESB archive via either the Admin Console or JON, they were presented with legacy SOA 4.x options that were no longer relevant and some needed options were missing. To fix this issue, new options for farm and exploded archives have been added. As a result, users can now deploy these via the consoles and the right information will be asked of them by the software.

Note You need to log in before you can comment on or make changes to this bug.